Issue 114793 - Crashrep nor working
Summary: Crashrep nor working
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOO330m9
Hardware: All All
: P2 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: Olaf Felka
QA Contact: issues@framework
URL:
Keywords: regression
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-09-28 12:58 UTC by Olaf Felka
Modified: 2017-05-20 10:22 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Olaf Felka 2010-09-28 12:58:08 UTC
- starting OOo in a shell
- when sending a crashreport I'll get the error message: crash_report.bin not found
Comment 1 Olaf Felka 2010-09-28 12:59:52 UTC
Seems that there are no reports in the database. No report mails received.
Comment 2 Olaf Felka 2010-09-28 13:00:51 UTC
reassigned
Comment 3 Olaf Felka 2010-09-28 14:07:28 UTC
of: Crashrep on Windows is working,
Comment 4 Stephan Bergmann 2010-09-28 14:24:37 UTC
@of:  I suppose you are talking about a Unix platform, right?

Issue 86044 for Unix changed the name of the respective binary from
crash_report.bin to crashrep (to consolidate with Windows naming), but
apparently missed
<http://hg.services.openoffice.org/OOO330/file/0f69876bb154/svx/source/dialog/sendreportunx.cxx#l246>.
Comment 5 Joost Andrae 2010-09-28 14:26:03 UTC
reproducible for Solaris x86 OOO330m9
Comment 6 Joost Andrae 2010-09-28 14:29:54 UTC
so the following patch might fix it ?

- "$BRAND_BASE_DIR/program/crash_report.bin"));
+ "$BRAND_BASE_DIR/program/crashrep"));
Comment 7 Stephan Bergmann 2010-09-29 11:09:45 UTC
fixed as <http://hg.services.openoffice.org/cws/sw33bf10/rev/5527a91c01f2>
(remember to build the CWS configured with --enable-crashdump when verifying
this issue)
Comment 8 Stephan Bergmann 2010-09-30 07:58:21 UTC
@of: please verify
Comment 9 mdxonefour 2010-10-01 11:21:57 UTC
.
Comment 10 Olaf Felka 2010-10-01 12:11:42 UTC
of: Looks good in cws sw33bf10